Summary:	Recompression utilities
Name:		advancecomp
Version:	1.20
%define subrel  3
Release:	%mkrel 3
License:	GPLv3+
Group:		Archiving/Compression
URL:		http://www.advancemame.it/comp-readme.html
Source0:	https://github.com/amadvance/advancecomp/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		advancecomp-1.19-mga-option-doc.patch
Patch2:		advancecomp-1.20-mga-fromdos.patch
Patch3:		advancecomp-2.0-git-CVE-2018-1056.patch
Patch4:		advancecomp-2.1-git-CVE-2019-9210.patch
Patch5:		advancecomp-2.1-git-png-overread.patch
BuildRequires:	pkgconfig(zlib)
BuildRequires:	libbzip2-devel
BuildRequires:	dos2unix
BuildRequires:	autoconf
BuildRequires:	automake

%description
AdvanceCOMP contains recompression utilities for your .zip
archives, .png images, .mng video clips and .gz files.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fis
%configure2_5x --enable-bzip2
%make_build

%check
# The check fails with bzip2 enabled due to bzip2 giving smaller than
# expected sizes
#%%make_build check

%install
%make_install

%files
%doc AUTHORS HISTORY README doc/*.html doc/*.txt
%{_bindir}/advzip
%{_bindir}/advpng
%{_bindir}/advmng
%{_bindir}/advdef
%{_mandir}/man1/*


%changelog
* Sat Mar 23 2019 danf <danf> 1.20-3.3.mga6
+ Revision: 1379787
- Fixed a buffer over-read on malformed PNG files (bug #24535)
- Fix a buffer overflow caused by invalid chunks CVE-2019-9210 (bug #24535)
- Fixed a crash condition with invalid ZIP data (CVE-2018-1056)
  bug #22099

* Thu May 12 2016 tv <tv> 1.20-3.mga6
+ Revision: 1014163
- use std build macros; prevent commented out macros to break build

* Wed Feb 10 2016 umeabot <umeabot> 1.20-2.mga6
+ Revision: 953049
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 danf <danf> 1.20-1.mga6
+ Revision: 868264
- Upgraded to 1.20. Major changes include:
 - Fixed .gz recompression of data bigger than 400 MB.
 - Fixed .gz recompression with -0 and -1 options.
 - Updated to the latest zopfli [Aaron Kaluszka].
 - Preserve the EFS flag in .zip files [Jason Penney].
- Rediffed fromdos.patch

* Wed Oct 15 2014 umeabot <umeabot> 1.19-3.mga5
+ Revision: 747630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.19-2.mga5
+ Revision: 677703
- Mageia 5 Mass Rebuild

* Thu May 08 2014 danf <danf> 1.19-1.mga5
+ Revision: 621105
- Upgraded to ver. 1.19
- upgraded to 1.18
- removed bzip2-compile.patch as it was merged upstream

* Sat Oct 19 2013 umeabot <umeabot> 1.17-2.mga4
+ Revision: 530089
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 danf <danf> 1.17-1.mga4
+ Revision: 455400
- new upstream license is GPLv3+
- enabled bzip2 support with bzip2-compile.patch
- disabled self-check since it fails with bzip2 enabled
- document advzip -N option with option-doc.patch
- use dos2unix instead of fromdos with fromdos.patch which
  adds a new BuildRequires on autoconf/automake
- brought spec file into line with Mageia style
- removed unneeded BuildRequires
- imported package advancecomp

